IEEE_TEST(3)

NAME
logb, logbf, logbl, scalb, scalbf, significand, significandf - IEEE test functions

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
logb(double x);
float
logbf(float x);
long double
logbl(long double x);
double
scalb(double x, double n);
float
scalbf(float x, float n);
double
significand(double x);
float
significandf(float x);

DESCRIPTION
These functions allow users to test conformance to ieee754. Their use is otherwise not recommended.

logb(x) returns x's exponent n, a signed integer converted to double-precision floating-point. logb() = +; logb(0) = - with a division by zero exception.

scalb(x, n) returns x*(2**n) computed by exponent manipulation.

significand(x) returns sig, where x := sig * 2**n with 1 sig 2. significand(x) is not defined when x is 0, , or .

SEE ALSO
math(3)

STANDARDS
ieee754